let GAMESTAGES_ALL = [
	'default',
	'tools',
	'tools2',
	'tech1',
	'tech2',
	'tech3',
	'tech4',
	'tech5',
	'tech6',
	'tech7',
	'tech8',
	'magici',
	'magicii',
	'magiciii',
	'magiciv',
	'nether',
	'bumblezone',
	'techmagic',
	'techmagici',
	'techmagicii',
	'iceandfire',
	'twilightforest',
	'end',
	'netherite',
	'ultimerite',
	'tombstone',
	'eureka',
	'dragonsteel'
];

onEvent('player.logged_in', event => {
	
	if (event.player.minecraftPlayer.gameMode.gameModeForPlayer.name() == "CREATIVE") {
		for (var gamestage of GAMESTAGES_ALL) {
			event.player.stages.add(gamestage)
		}
	}
	
})